org.bouncycastle.crypto.params

## Class CCMParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AEADParameters
  - - org.bouncycastle.crypto.params.CCMParameters

All Implemented Interfaces:
  CipherParameters

    public class CCMParameters
    extends AEADParameters

### Constructor Summary

Constructors
Constructor and Description
`CCMParameters(KeyParameter key, int macSize, byte[] nonce, byte[] associatedText)` Base constructor.

### Method Summary

### Methods inherited from class org.bouncycastle.crypto.params.AEADParameters

`getAssociatedText, getKey, getMacSize, getNonce`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CCMParameters

    public CCMParameters(KeyParameter key,
                 int macSize,
                 byte[] nonce,
                 byte[] associatedText)

Base constructor.

Parameters:
  `key` - key to be used by underlying cipher
  `macSize` - macSize in bits
  `nonce` - nonce to be used
  `associatedText` - associated text, if any